package com.muyu.auth.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: zi run
 * @Date 2024/8/9 0:12
 * @Description token响应实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "token响应结果集", description = "包含token和token有效时间")
public class TokenResp {

    /**
     * token令牌
     */
    @Schema(
            title = "token令牌",
            type = "String",
            defaultValue = "eyJ0e.eyJ1c2VyX2lkIj.8O6fmChYkc",
            description = "JWT令牌，包含头、载体、尾"
    )
    private String accessToken;

    /**
     * 有效时间
     */
    @Schema(
            title = "令牌有效时间",
            type = "Long",
            defaultValue = "720",
            description = "过期时间，时间单位为分钟（MIN）"
    )
    private long expiresIn;

}
